Main Page Widgets glibmm Namespaces Book

# Glib::IOSource Class Reference
[The Main Event Loop]

Inheritance diagram for Glib::IOSource:

[legend]
List of all members.

## Public Types
typedef Glib::IOSource | CppObjectType
## Public Member Functions
sigc::connection | connect (const sigc::slot<bool, IOCondition>& slot)
## Static Public Member Functions
static Glib::RefPtr<IOSource> | create (int fd, IOCondition condition)
static Glib::RefPtr<IOSource> | create (const Glib::RefPtr<IOChannel>& channel, IOCondition condition)
## Protected Member Functions
| IOSource (int fd, IOCondition condition)
| IOSource (const Glib::RefPtr<IOChannel>& channel, IOCondition condition)
virtual | ~IOSource ()
virtual bool | prepare (int& timeout)
virtual bool | check ()
virtual bool | dispatch (sigc::slot_base* slot)

## Member Typedef Documentation

typedef Glib::IOSource Glib::IOSource::CppObjectType

Reimplemented from Glib::Source.

## Constructor & Destructor Documentation

Glib::IOSource::IOSource | ( | int | fd,
|  | IOCondition | condition |
| ) |  |  | `[protected]`

Glib::IOSource::IOSource | ( | const Glib::RefPtr<IOChannel>& | channel,
|  | IOCondition | condition |
| ) |  |  | `[protected]`

virtual Glib::IOSource::~IOSource | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

static Glib::RefPtr<IOSource> Glib::IOSource::create | ( | int | fd,
|  | IOCondition | condition |
| ) |  |  | `[static]`

static Glib::RefPtr<IOSource> Glib::IOSource::create | ( | const Glib::RefPtr<IOChannel>& | channel,
|  | IOCondition | condition |
| ) |  |  | `[static]`

sigc::connection Glib::IOSource::connect | ( | const sigc::slot<bool, IOCondition>& | slot | ) |

virtual bool Glib::IOSource::prepare | ( | int & | timeout | ) | `[protected, virtual]`

Implements Glib::Source.

virtual bool Glib::IOSource::check | ( |  | ) | `[protected, virtual]`

Implements Glib::Source.

virtual bool Glib::IOSource::dispatch | ( | sigc::slot_base * | slot | ) | `[protected, virtual]`

Implements Glib::Source.

The documentation for this class was generated from the following file:

- main.h